Package relaxngcc.javabody

# Interface JavaBodyParserConstants

All Known Implementing Classes:
  `JavaBodyParser`, `JavaBodyParserTokenManager`

public interface JavaBodyParserConstants
Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`_DEFAULT`
RegularExpression Id.
`static final int`
`ABSTRACT`
RegularExpression Id.
`static final int`
`ANDASSIGN`
RegularExpression Id.
`static final int`
`ASSERT`
RegularExpression Id.
`static final int`
`ASSIGN`
RegularExpression Id.
`static final int`
`BANG`
RegularExpression Id.
`static final int`
`BIT_AND`
RegularExpression Id.
`static final int`
`BIT_OR`
RegularExpression Id.
`static final int`
`BOOLEAN`
RegularExpression Id.
`static final int`
`BREAK`
RegularExpression Id.
`static final int`
`BYTE`
RegularExpression Id.
`static final int`
`CASE`
RegularExpression Id.
`static final int`
`CATCH`
RegularExpression Id.
`static final int`
`CHAR`
RegularExpression Id.
`static final int`
`CHARACTER_LITERAL`
RegularExpression Id.
`static final int`
`CLASS`
RegularExpression Id.
`static final int`
`COLON`
RegularExpression Id.
`static final int`
`COMMA`
RegularExpression Id.
`static final int`
`CONST`
RegularExpression Id.
`static final int`
`CONTINUE`
RegularExpression Id.
`static final int`
`DECIMAL_LITERAL`
RegularExpression Id.
`static final int`
`DECR`
RegularExpression Id.
`static final int`
`DEFAULT`
Lexical state.
`static final int`
`DIGIT`
RegularExpression Id.
`static final int`
`DO`
RegularExpression Id.
`static final int`
`DOT`
RegularExpression Id.
`static final int`
`DOUBLE`
RegularExpression Id.
`static final int`
`ELSE`
RegularExpression Id.
`static final int`
`EOF`
End of File.
`static final int`
`EQ`
RegularExpression Id.
`static final int`
`EXPONENT`
RegularExpression Id.
`static final int`
`EXTENDS`
RegularExpression Id.
`static final int`
`FALSE`
RegularExpression Id.
`static final int`
`FINAL`
RegularExpression Id.
`static final int`
`FINALLY`
RegularExpression Id.
`static final int`
`FLOAT`
RegularExpression Id.
`static final int`
`FLOATING_POINT_LITERAL`
RegularExpression Id.
`static final int`
`FOR`
RegularExpression Id.
`static final int`
`FORMAL_COMMENT`
RegularExpression Id.
`static final int`
`GE`
RegularExpression Id.
`static final int`
`GOTO`
RegularExpression Id.
`static final int`
`GT`
RegularExpression Id.
`static final int`
`HEX_LITERAL`
RegularExpression Id.
`static final int`
`HOOK`
RegularExpression Id.
`static final int`
`IDENTIFIER`
RegularExpression Id.
`static final int`
`IF`
RegularExpression Id.
`static final int`
`IMPLEMENTS`
RegularExpression Id.
`static final int`
`IMPORT`
RegularExpression Id.
`static final int`
`IN_FORMAL_COMMENT`
Lexical state.
`static final int`
`IN_MULTI_LINE_COMMENT`
Lexical state.
`static final int`
`IN_SINGLE_LINE_COMMENT`
Lexical state.
`static final int`
`INCR`
RegularExpression Id.
`static final int`
`INSTANCEOF`
RegularExpression Id.
`static final int`
`INT`
RegularExpression Id.
`static final int`
`INTEGER_LITERAL`
RegularExpression Id.
`static final int`
`INTERFACE`
RegularExpression Id.
`static final int`
`LBRACE`
RegularExpression Id.
`static final int`
`LBRACKET`
RegularExpression Id.
`static final int`
`LE`
RegularExpression Id.
`static final int`
`LETTER`
RegularExpression Id.
`static final int`
`LONG`
RegularExpression Id.
`static final int`
`LPAREN`
RegularExpression Id.
`static final int`
`LSHIFT`
RegularExpression Id.
`static final int`
`LSHIFTASSIGN`
RegularExpression Id.
`static final int`
`LT`
RegularExpression Id.
`static final int`
`MINUS`
RegularExpression Id.
`static final int`
`MINUSASSIGN`
RegularExpression Id.
`static final int`
`MULTI_LINE_COMMENT`
RegularExpression Id.
`static final int`
`NATIVE`
RegularExpression Id.
`static final int`
`NE`
RegularExpression Id.
`static final int`
`NEW`
RegularExpression Id.
`static final int`
`NULL`
RegularExpression Id.
`static final int`
`OCTAL_LITERAL`
RegularExpression Id.
`static final int`
`ORASSIGN`
RegularExpression Id.
`static final int`
`PACKAGE`
RegularExpression Id.
`static final int`
`PLUS`
RegularExpression Id.
`static final int`
`PLUSASSIGN`
RegularExpression Id.
`static final int`
`PRIVATE`
RegularExpression Id.
`static final int`
`PROTECTED`
RegularExpression Id.
`static final int`
`PUBLIC`
RegularExpression Id.
`static final int`
`RBRACE`
RegularExpression Id.
`static final int`
`RBRACKET`
RegularExpression Id.
`static final int`
`REM`
RegularExpression Id.
`static final int`
`REMASSIGN`
RegularExpression Id.
`static final int`
`RETURN`
RegularExpression Id.
`static final int`
`RPAREN`
RegularExpression Id.
`static final int`
`RSIGNEDSHIFT`
RegularExpression Id.
`static final int`
`RSIGNEDSHIFTASSIGN`
RegularExpression Id.
`static final int`
`RUNSIGNEDSHIFT`
RegularExpression Id.
`static final int`
`RUNSIGNEDSHIFTASSIGN`
RegularExpression Id.
`static final int`
`SC_AND`
RegularExpression Id.
`static final int`
`SC_OR`
RegularExpression Id.
`static final int`
`SEMICOLON`
RegularExpression Id.
`static final int`
`SHORT`
RegularExpression Id.
`static final int`
`SINGLE_LINE_COMMENT`
RegularExpression Id.
`static final int`
`SLASH`
RegularExpression Id.
`static final int`
`SLASHASSIGN`
RegularExpression Id.
`static final int`
`STAR`
RegularExpression Id.
`static final int`
`STARASSIGN`
RegularExpression Id.
`static final int`
`STATIC`
RegularExpression Id.
`static final int`
`STRICTFP`
RegularExpression Id.
`static final int`
`STRING_LITERAL`
RegularExpression Id.
`static final int`
`SUPER`
RegularExpression Id.
`static final int`
`SWITCH`
RegularExpression Id.
`static final int`
`SYNCHRONIZED`
RegularExpression Id.
`static final int`
`THIS`
RegularExpression Id.
`static final int`
`THROW`
RegularExpression Id.
`static final int`
`THROWS`
RegularExpression Id.
`static final int`
`TILDE`
RegularExpression Id.
`static final String[]`
`tokenImage`
Literal token values.
`static final int`
`TRANSIENT`
RegularExpression Id.
`static final int`
`TRUE`
RegularExpression Id.
`static final int`
`TRY`
RegularExpression Id.
`static final int`
`VOID`
RegularExpression Id.
`static final int`
`VOLATILE`
RegularExpression Id.
`static final int`
`WHILE`
RegularExpression Id.
`static final int`
`XOR`
RegularExpression Id.
`static final int`
`XORASSIGN`
RegularExpression Id.

## Field Details

### EOF

static final int EOF
End of File.

See Also:
  - Constant Field Values

### SINGLE_LINE_COMMENT

static final int SINGLE_LINE_COMMENT
RegularExpression Id.

See Also:
  - Constant Field Values

### FORMAL_COMMENT

static final int FORMAL_COMMENT
RegularExpression Id.

See Also:
  - Constant Field Values

### MULTI_LINE_COMMENT

static final int MULTI_LINE_COMMENT
RegularExpression Id.

See Also:
  - Constant Field Values

### ABSTRACT

static final int ABSTRACT
RegularExpression Id.

See Also:
  - Constant Field Values

### BOOLEAN

static final int BOOLEAN
RegularExpression Id.

See Also:
  - Constant Field Values

### BREAK

static final int BREAK
RegularExpression Id.

See Also:
  - Constant Field Values

### BYTE

static final int BYTE
RegularExpression Id.

See Also:
  - Constant Field Values

### CASE

static final int CASE
RegularExpression Id.

See Also:
  - Constant Field Values

### CATCH

static final int CATCH
RegularExpression Id.

See Also:
  - Constant Field Values

### CHAR

static final int CHAR
RegularExpression Id.

See Also:
  - Constant Field Values

### CLASS

static final int CLASS
RegularExpression Id.

See Also:
  - Constant Field Values

### CONST

static final int CONST
RegularExpression Id.

See Also:
  - Constant Field Values

### CONTINUE

static final int CONTINUE
RegularExpression Id.

See Also:
  - Constant Field Values

### _DEFAULT

static final int _DEFAULT
RegularExpression Id.

See Also:
  - Constant Field Values

### DO

static final int DO
RegularExpression Id.

See Also:
  - Constant Field Values

### DOUBLE

static final int DOUBLE
RegularExpression Id.

See Also:
  - Constant Field Values

### ELSE

static final int ELSE
RegularExpression Id.

See Also:
  - Constant Field Values

### EXTENDS

static final int EXTENDS
RegularExpression Id.

See Also:
  - Constant Field Values

### FALSE

static final int FALSE
RegularExpression Id.

See Also:
  - Constant Field Values

### FINAL

static final int FINAL
RegularExpression Id.

See Also:
  - Constant Field Values

### FINALLY

static final int FINALLY
RegularExpression Id.

See Also:
  - Constant Field Values

### FLOAT

static final int FLOAT
RegularExpression Id.

See Also:
  - Constant Field Values

### FOR

static final int FOR
RegularExpression Id.

See Also:
  - Constant Field Values

### GOTO

static final int GOTO
RegularExpression Id.

See Also:
  - Constant Field Values

### IF

static final int IF
RegularExpression Id.

See Also:
  - Constant Field Values

### IMPLEMENTS

static final int IMPLEMENTS
RegularExpression Id.

See Also:
  - Constant Field Values

### IMPORT

static final int IMPORT
RegularExpression Id.

See Also:
  - Constant Field Values

### INSTANCEOF

static final int INSTANCEOF
RegularExpression Id.

See Also:
  - Constant Field Values

### INT

static final int INT
RegularExpression Id.

See Also:
  - Constant Field Values

### INTERFACE

static final int INTERFACE
RegularExpression Id.

See Also:
  - Constant Field Values

### LONG

static final int LONG
RegularExpression Id.

See Also:
  - Constant Field Values

### NATIVE

static final int NATIVE
RegularExpression Id.

See Also:
  - Constant Field Values

### NEW

static final int NEW
RegularExpression Id.

See Also:
  - Constant Field Values

### NULL

static final int NULL
RegularExpression Id.

See Also:
  - Constant Field Values

### PACKAGE

static final int PACKAGE
RegularExpression Id.

See Also:
  - Constant Field Values

### PRIVATE

static final int PRIVATE
RegularExpression Id.

See Also:
  - Constant Field Values

### PROTECTED

static final int PROTECTED
RegularExpression Id.

See Also:
  - Constant Field Values

### PUBLIC

static final int PUBLIC
RegularExpression Id.

See Also:
  - Constant Field Values

### RETURN

static final int RETURN
RegularExpression Id.

See Also:
  - Constant Field Values

### SHORT

static final int SHORT
RegularExpression Id.

See Also:
  - Constant Field Values

### STATIC

static final int STATIC
RegularExpression Id.

See Also:
  - Constant Field Values

### SUPER

static final int SUPER
RegularExpression Id.

See Also:
  - Constant Field Values

### SWITCH

static final int SWITCH
RegularExpression Id.

See Also:
  - Constant Field Values

### SYNCHRONIZED

static final int SYNCHRONIZED
RegularExpression Id.

See Also:
  - Constant Field Values

### THIS

static final int THIS
RegularExpression Id.

See Also:
  - Constant Field Values

### THROW

static final int THROW
RegularExpression Id.

See Also:
  - Constant Field Values

### THROWS

static final int THROWS
RegularExpression Id.

See Also:
  - Constant Field Values

### TRANSIENT

static final int TRANSIENT
RegularExpression Id.

See Also:
  - Constant Field Values

### TRUE

static final int TRUE
RegularExpression Id.

See Also:
  - Constant Field Values

### TRY

static final int TRY
RegularExpression Id.

See Also:
  - Constant Field Values

### VOID

static final int VOID
RegularExpression Id.

See Also:
  - Constant Field Values

### VOLATILE

static final int VOLATILE
RegularExpression Id.

See Also:
  - Constant Field Values

### WHILE

static final int WHILE
RegularExpression Id.

See Also:
  - Constant Field Values

### STRICTFP

static final int STRICTFP
RegularExpression Id.

See Also:
  - Constant Field Values

### ASSERT

static final int ASSERT
RegularExpression Id.

See Also:
  - Constant Field Values

### INTEGER_LITERAL

static final int INTEGER_LITERAL
RegularExpression Id.

See Also:
  - Constant Field Values

### DECIMAL_LITERAL

static final int DECIMAL_LITERAL
RegularExpression Id.

See Also:
  - Constant Field Values

### HEX_LITERAL

static final int HEX_LITERAL
RegularExpression Id.

See Also:
  - Constant Field Values

### OCTAL_LITERAL

static final int OCTAL_LITERAL
RegularExpression Id.

See Also:
  - Constant Field Values

### FLOATING_POINT_LITERAL

static final int FLOATING_POINT_LITERAL
RegularExpression Id.

See Also:
  - Constant Field Values

### EXPONENT

static final int EXPONENT
RegularExpression Id.

See Also:
  - Constant Field Values

### CHARACTER_LITERAL

static final int CHARACTER_LITERAL
RegularExpression Id.

See Also:
  - Constant Field Values

### STRING_LITERAL

static final int STRING_LITERAL
RegularExpression Id.

See Also:
  - Constant Field Values

### IDENTIFIER

static final int IDENTIFIER
RegularExpression Id.

See Also:
  - Constant Field Values

### LETTER

static final int LETTER
RegularExpression Id.

See Also:
  - Constant Field Values

### DIGIT

static final int DIGIT
RegularExpression Id.

See Also:
  - Constant Field Values

### LPAREN

static final int LPAREN
RegularExpression Id.

See Also:
  - Constant Field Values

### RPAREN

static final int RPAREN
RegularExpression Id.

See Also:
  - Constant Field Values

### LBRACE

static final int LBRACE
RegularExpression Id.

See Also:
  - Constant Field Values

### RBRACE

static final int RBRACE
RegularExpression Id.

See Also:
  - Constant Field Values

### LBRACKET

static final int LBRACKET
RegularExpression Id.

See Also:
  - Constant Field Values

### RBRACKET

static final int RBRACKET
RegularExpression Id.

See Also:
  - Constant Field Values

### SEMICOLON

static final int SEMICOLON
RegularExpression Id.

See Also:
  - Constant Field Values

### COMMA

static final int COMMA
RegularExpression Id.

See Also:
  - Constant Field Values

### DOT

static final int DOT
RegularExpression Id.

See Also:
  - Constant Field Values

### ASSIGN

static final int ASSIGN
RegularExpression Id.

See Also:
  - Constant Field Values

### GT

static final int GT
RegularExpression Id.

See Also:
  - Constant Field Values

### LT

static final int LT
RegularExpression Id.

See Also:
  - Constant Field Values

### BANG

static final int BANG
RegularExpression Id.

See Also:
  - Constant Field Values

### TILDE

static final int TILDE
RegularExpression Id.

See Also:
  - Constant Field Values

### HOOK

static final int HOOK
RegularExpression Id.

See Also:
  - Constant Field Values

### COLON

static final int COLON
RegularExpression Id.

See Also:
  - Constant Field Values

### EQ

static final int EQ
RegularExpression Id.

See Also:
  - Constant Field Values

### LE

static final int LE
RegularExpression Id.

See Also:
  - Constant Field Values

### GE

static final int GE
RegularExpression Id.

See Also:
  - Constant Field Values

### NE

static final int NE
RegularExpression Id.

See Also:
  - Constant Field Values

### SC_OR

static final int SC_OR
RegularExpression Id.

See Also:
  - Constant Field Values

### SC_AND

static final int SC_AND
RegularExpression Id.

See Also:
  - Constant Field Values

### INCR

static final int INCR
RegularExpression Id.

See Also:
  - Constant Field Values

### DECR

static final int DECR
RegularExpression Id.

See Also:
  - Constant Field Values

### PLUS

static final int PLUS
RegularExpression Id.

See Also:
  - Constant Field Values

### MINUS

static final int MINUS
RegularExpression Id.

See Also:
  - Constant Field Values

### STAR

static final int STAR
RegularExpression Id.

See Also:
  - Constant Field Values

### SLASH

static final int SLASH
RegularExpression Id.

See Also:
  - Constant Field Values

### BIT_AND

static final int BIT_AND
RegularExpression Id.

See Also:
  - Constant Field Values

### BIT_OR

static final int BIT_OR
RegularExpression Id.

See Also:
  - Constant Field Values

### XOR

static final int XOR
RegularExpression Id.

See Also:
  - Constant Field Values

### REM

static final int REM
RegularExpression Id.

See Also:
  - Constant Field Values

### LSHIFT

static final int LSHIFT
RegularExpression Id.

See Also:
  - Constant Field Values

### RSIGNEDSHIFT

static final int RSIGNEDSHIFT
RegularExpression Id.

See Also:
  - Constant Field Values

### RUNSIGNEDSHIFT

static final int RUNSIGNEDSHIFT
RegularExpression Id.

See Also:
  - Constant Field Values

### PLUSASSIGN

static final int PLUSASSIGN
RegularExpression Id.

See Also:
  - Constant Field Values

### MINUSASSIGN

static final int MINUSASSIGN
RegularExpression Id.

See Also:
  - Constant Field Values

### STARASSIGN

static final int STARASSIGN
RegularExpression Id.

See Also:
  - Constant Field Values

### SLASHASSIGN

static final int SLASHASSIGN
RegularExpression Id.

See Also:
  - Constant Field Values

### ANDASSIGN

static final int ANDASSIGN
RegularExpression Id.

See Also:
  - Constant Field Values

### ORASSIGN

static final int ORASSIGN
RegularExpression Id.

See Also:
  - Constant Field Values

### XORASSIGN

static final int XORASSIGN
RegularExpression Id.

See Also:
  - Constant Field Values

### REMASSIGN

static final int REMASSIGN
RegularExpression Id.

See Also:
  - Constant Field Values

### LSHIFTASSIGN

static final int LSHIFTASSIGN
RegularExpression Id.

See Also:
  - Constant Field Values

### RSIGNEDSHIFTASSIGN

static final int RSIGNEDSHIFTASSIGN
RegularExpression Id.

See Also:
  - Constant Field Values

### RUNSIGNEDSHIFTASSIGN

static final int RUNSIGNEDSHIFTASSIGN
RegularExpression Id.

See Also:
  - Constant Field Values

### DEFAULT

static final int DEFAULT
Lexical state.

See Also:
  - Constant Field Values

### IN_SINGLE_LINE_COMMENT

static final int IN_SINGLE_LINE_COMMENT
Lexical state.

See Also:
  - Constant Field Values

### IN_FORMAL_COMMENT

static final int IN_FORMAL_COMMENT
Lexical state.

See Also:
  - Constant Field Values

### IN_MULTI_LINE_COMMENT

static final int IN_MULTI_LINE_COMMENT
Lexical state.

See Also:
  - Constant Field Values

### tokenImage

static final String[] tokenImage
Literal token values.